<?php
class Service_DemoGuestBook extends XcBase {

  function Service_DemoGuestBook($kernelLink) {
    $this->_localname = 'DemoGuestBook';
    $this->XcBase($kernelLink);
    $this->_kernel = $this->srvMainKernel();
  }

  //     
  function onInstall($params) {
    //   AdvOntology
    $advOnto = $this->_kernel->srvFactory("AdvOntology");

    //    
    if($advOnto) {
      //  ,     
	  $advOnto->addType("DGBComment");
	  //         
      $advOnto->addLinkType(array("User", "DGBComment"), "DGBLink");
   	  return true;
    } else {
      return false;
    }
  }

  function onUninstall($params) {
    $advOnto = $this->_kernel->srvFactory("AdvOntology");

	$advOnto->delLinkType("DGBLink");
    $advOnto->delType("DGBComment");

    return true;
  }
}
?>
